<?php

namespace App\Policies;

use App\Models\Compliances\Adt1Compliance;
use App\Models\Admin;
use Illuminate\Auth\Access\Response;

class Adt1CompliancePolicy
{
    /**
     * Determine whether the admin can view any models.
     */
    public function viewAny(Admin $admin): bool
    {
        return true;
    }

    /**
     * Determine whether the admin can view the model.
     */
    public function view(Admin $admin, Adt1Compliance $adt1Compliance): bool
    {
        return true;
    }

    /**
     * Determine whether the admin can create models.
     */
    public function create(Admin $admin): bool
    {
        return true;
    }

    /**
     * Determine whether the admin can update the model.
     */
    public function update(Admin $admin, Adt1Compliance $adt1Compliance): bool
    {
        return true;
    }
}
